{ComplexMath interface version 1.0, march 23, 1993, Jude Giampaolo}
{Modified to version 1.1, june 4, 1993}
{Modified to version 1.2, june 21, 1993. Added basic trancendental support}
{If you find any of these functions to be helpful, or if you have any }
{comments plese let me know at jcg@po.cwru.edu }
{I in no way claim that these routines operate in their intended manner}
{Please note that the accuracy is not all that great, it is reasonable however}
{This should be corrected in a future revision}

unit complex;
interface

	type
		complex = record
				r, i: real;
			end;

	var
		CMErr: integer;

	function CMAdd (a, b: complex): complex;
	function CMSubtract (a, b: complex): complex;
	function CMMultiply (a, b: complex): complex;
	function CMDivide (a, b: complex): complex;
	function CMAbs (a: complex): real;
	function CMPower (base: complex; exponent: real): complex;
	function CMExp (exponent: complex): complex;
	function CMln (y: complex): complex;
	function CMr2c (a: real): complex;
	function CMi2c (b: real): complex;
	function CMcosh (z: complex): complex;
	function CMsinh (z: complex): complex;
	function CMSin (z: complex): complex;
	function CMCos (z: complex): complex;
	function CMArctan (z: complex): complex;

implementation

end.